Skip to main content
GET
/
v1
/
wallet
/
{chain}
/
{walletAddress}
/
balance-updates
Wallet - Balance Updates
curl --request GET \
  --url https://api.chainstream.io/v1/wallet/{chain}/{walletAddress}/balance-updates \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "blockHash": "5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnbJLgp8uirBgmQpjKhoR4tjF3ZpRzrFmBV6UjKdiSZkQUW",
      "blockHeight": 123456789,
      "blockSlot": 123456789,
      "blockTimestamp": 1705312800000,
      "transactionSignature": "5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnbJLgp8uirBgmQpjKhoR4tjF3ZpRzrFmBV6UjKdiSZkQUW",
      "index": 0,
      "tokenAddress": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
      "tokenAccountAddress": "MJKqp326RZCHnAAbew9MDdui3iCKWco7fsK9sVuZTX2",
      "accountOwnerAddress": "MJKqp326RZCHnAAbew9MDdui3iCKWco7fsK9sVuZTX2",
      "preBalance": "1000.123456",
      "preBalanceInNative": "5.123456789",
      "preBalanceInUsd": "1234.56",
      "postBalance": "1100.123456",
      "postBalanceInNative": "5.623456789",
      "postBalanceInUsd": "1357.90",
      "balanceChange": "100.000000",
      "balanceChangeInNative": "0.500000000",
      "balanceChangeInUsd": "123.34",
      "type": "SPL",
      "changeType": "INCREASE"
    }
  ],
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "<string>",
  "endCursor": "<string>"
}
This API only retains data for the last 7 days.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks

Available options:
sol,
bsc,
eth
walletAddress
string
required

An address of a wallet

Example:

"MJKqp326RZCHnAAbew9MDdui3iCKWco7fsK9sVuZTX2"

Query Parameters

cursor
string

Pagination cursor

limit
integer<int64>
default:20

Number of results per page

Required range: 1 <= x <= 100
direction
enum<string>
default:next

Pagination direction (next or prev)

Available options:
next,
prev
tokenAddress
string

Filter by specific token address

Example:

"FBmHMoWzwJB3g9GCSNTn1ZyvgkuZs7c8GTgNDoJNpump"

timeFrom
integer<int64>

Start timestamp (Unix epoch in seconds)

Example:

1705312800000

timeTo
integer<int64>

End timestamp (Unix epoch in seconds)

Example:

1705399200000

type
enum<string>

Balance type filter (SOL for native, SPL for tokens)

Available options:
SOL,
SPL
changeType
enum<string>

Balance change direction filter (INCREASE or DECREASE)

Available options:
INCREASE,
DECREASE

Response

200 - application/json
data
object[]
required

Array of data items

hasNext
boolean
default:false
required

Indicates if there are more results

hasPrev
boolean
default:false
required

Indicates if there are previous results

startCursor
string

Cursor for first item in current page

endCursor
string

Cursor for last item in current page